Module ij
Package ij.plugin.frame

# Class ThresholdAdjuster

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Dialog
ij.plugin.frame.PlugInDialog
ij.plugin.frame.ThresholdAdjuster

All Implemented Interfaces:
  `ImageListener`, `Measurements`, `PlugIn`, `ActionListener`, `AdjustmentListener`, `FocusListener`, `ItemListener`, `KeyListener`, `MouseWheelListener`, `WindowListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `Runnable`, `EventListener`, `Accessible`

public class ThresholdAdjuster extends PlugInDialog implements PlugIn, Measurements, Runnable, ActionListener, AdjustmentListener, ItemListener, FocusListener, KeyListener, MouseWheelListener, ImageListener
Adjusts the lower and upper threshold levels of the active image. This class is multi-threaded to provide a more responsive user interface.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.awt.Dialog

`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

## Nested classes/interfaces inherited from class java.awt.Window

`Window.AccessibleAWTWindow, Window.Type`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DARK_BACKGROUND`
`static final String`
`LOC_KEY`
`static final String`
`MODE_KEY`
`static final String`
`NO_RESET`
`static final String`
`RAW_VALUES`
`static final String`
`SIXTEEN_BIT`

### Fields inherited from class java.awt.Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`ThresholdAdjuster()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`adjustmentValueChanged(AdjustmentEvent e)`
`void`
`close()`
Overrides close() in PlugInFrame.
`void`
`focusLost(FocusEvent e)`
`static String`
`getMethod()`
Returns the current thresholding method ("Default", "Huang", etc).
`static String`
`getMode()`
Returns the current mode ("Red","Binvalid input: '&W'" or"Over/Under").
`void`
`imageClosed(ImagePlus imp)`
`void`
`imageOpened(ImagePlus imp)`
`void`
`imageUpdated(ImagePlus imp)`
`static boolean`
`isDarkBackground()`
`void`
`itemStateChanged(ItemEvent e)`
`void`
`keyPressed(KeyEvent e)`
`void`
`keyReleased(KeyEvent e)`
`void`
`keyTyped(KeyEvent e)`
`void`
`mouseWheelMoved(MouseWheelEvent e)`
`void`
`run()`
`static void`
`setMethod(String thresholdingMethod)`
Sets the thresholding method ("Default", "Huang", etc).
`static void`
`setMode(String tmode)`
Sets the current mode ("Red","Binvalid input: '&W'" or"Over/Under").
`static void`
`update()`
Notifies the ThresholdAdjuster that the image has changed.
`void`
`windowActivated(WindowEvent e)`

### Methods inherited from class ij.plugin.frame.PlugInDialog

`focusGained, run, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

### Methods inherited from class java.awt.Dialog

`addNotify, getAccessibleContext, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, paramString, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.event.FocusListener

`focusGained`

### Methods inherited from interface ij.plugin.PlugIn

`run`

## Field Details

### LOC_KEY

public static final String LOC_KEY

See Also:
  - Constant Field Values

### MODE_KEY

public static final String MODE_KEY

See Also:
  - Constant Field Values

### DARK_BACKGROUND

public static final String DARK_BACKGROUND

See Also:
  - Constant Field Values

### NO_RESET

public static final String NO_RESET

See Also:
  - Constant Field Values

### RAW_VALUES

public static final String RAW_VALUES

See Also:
  - Constant Field Values

### SIXTEEN_BIT

public static final String SIXTEEN_BIT

See Also:
  - Constant Field Values

## Constructor Details

### ThresholdAdjuster

public ThresholdAdjuster()

## Method Details

### adjustmentValueChanged

public void adjustmentValueChanged(AdjustmentEvent e)

Specified by:
  `adjustmentValueChanged` in interface `AdjustmentListener`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`
Overrides:
  `focusLost` in class `PlugInDialog`

### mouseWheelMoved

public void mouseWheelMoved(MouseWheelEvent e)

Specified by:
  `mouseWheelMoved` in interface `MouseWheelListener`

### keyPressed

public void keyPressed(KeyEvent e)

Specified by:
  `keyPressed` in interface `KeyListener`

### keyReleased

public void keyReleased(KeyEvent e)

Specified by:
  `keyReleased` in interface `KeyListener`

### keyTyped

public void keyTyped(KeyEvent e)

Specified by:
  `keyTyped` in interface `KeyListener`

### imageUpdated

public void imageUpdated(ImagePlus imp)

Specified by:
  `imageUpdated` in interface `ImageListener`

### imageOpened

public void imageOpened(ImagePlus imp)

Specified by:
  `imageOpened` in interface `ImageListener`

### imageClosed

public void imageClosed(ImagePlus imp)

Specified by:
  `imageClosed` in interface `ImageListener`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### close

public void close()
Overrides close() in PlugInFrame.

Overrides:
  `close` in class `PlugInDialog`

### windowActivated

public void windowActivated(WindowEvent e)

Specified by:
  `windowActivated` in interface `WindowListener`
Overrides:
  `windowActivated` in class `PlugInDialog`

### update

public static void update()
Notifies the ThresholdAdjuster that the image has changed. If the image has no threshold, it does not autothreshold the image.

### isDarkBackground

public static boolean isDarkBackground()

### getMethod

public static String getMethod()
Returns the current thresholding method ("Default", "Huang", etc).

### setMethod

public static void setMethod(String thresholdingMethod)
Sets the thresholding method ("Default", "Huang", etc).

### getMode

public static String getMode()
Returns the current mode ("Red","Binvalid input: '&W'" or"Over/Under").

### setMode

public static void setMode(String tmode)
Sets the current mode ("Red","Binvalid input: '&W'" or"Over/Under").